<project default="default" xmlns:j="jelly:core" xmlns:ant="jelly:ant" xmlns:maven="jelly:maven">

  <goal name="default" prereqs="generate"/>


  <goal name="generate" prereqs="setclasspath"
    description="Code generates the various language bindings">

    <java classname="org.codehaus.gram.Gram" fork="true">
      <classpath refid="test.classpath"/>
      <arg value="../core/src/java/org/activemq/message"/>
      <arg value="src/script/GenerateJavaMarshalling.groovy"/>
      <arg value="src/script/GenerateCSharpClasses.groovy"/>
      <arg value="src/script/GenerateCSharpMarshalling.groovy"/>
    </java>
  </goal>


  <goal name="setclasspath" prereqs="java:compile">
    <path id="test.classpath">
      <pathelement path="${maven.build.dest}"/>
      <pathelement path="target/classes"/>
      <pathelement path="target/test-classes"/>
      <path refid="maven.dependency.classpath"/>
    </path>
  </goal>
</project>
